commit:     f345836def5d0f63c488ce723ea68acb658e7fcb
Author:     Marc Schiffbauer <mschiff <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 25 17:08:24 2019 +0000
Commit:     Marc Schiffbauer <mschiff <AT> gentoo <DOT> org>
CommitDate: Wed Sep 25 17:10:06 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f345836d

net-libs/ldns: bump version

Package-Manager: Portage-2.3.66, Repoman-2.3.16
Signed-off-by: Marc Schiffbauer <mschiff <AT> gentoo.org>

 net-libs/ldns/Manifest          |   1 +
 net-libs/ldns/ldns-1.7.1.ebuild | 113 ++++++++++++++++++++++++++++++++++++++++
 net-libs/ldns/metadata.xml      |   2 +
 3 files changed, 116 insertions(+)

diff --git a/net-libs/ldns/Manifest b/net-libs/ldns/Manifest
index 51c3ade23c2..7654e7092d5 100644
--- a/net-libs/ldns/Manifest
+++ b/net-libs/ldns/Manifest
@@ -1 +1,2 @@
 DIST ldns-1.7.0.tar.gz 1304424 BLAKE2B 
2f37aa2d00c1d9cf18711bd4f873f4722df01c4f4d0f627e054f04b2473c0fbf19449e293a130d5c8b98dcebafeb3d7b3f5923ae0244bd80139cea77f2171e06
 SHA512 
8a4e48bcc2a244b92447a9830b60efbb656fb7955f3559ef2eb6f8e724c4c0208776350c44ccf7dcf1ffe0b7b9d9ccc4cbddc5bc16e8888db494ab4d0bce3bd8
+DIST ldns-1.7.1.tar.gz 1244394 BLAKE2B 
8f2d9c6e34c4f13924ce1531a5757c4a619fc31ebc5a0a3d4aaf43fcfc8b53e8f371984b1c60ab74f735a05a9ca0710fc29a40fffeaef66eb54395eb3a727a0d
 SHA512 
e8f72a4ff4aa544acac5e7be9a8ba38c6b8d388bb26f9a0ed04c1a921622f8582cc8539beafc76a29187a55c94069b7c1875e77522e1a7e7bb3e297dd1e4c2b7

diff --git a/net-libs/ldns/ldns-1.7.1.ebuild b/net-libs/ldns/ldns-1.7.1.ebuild
new file mode 100644
index 00000000000..a9377702763
--- /dev/null
+++ b/net-libs/ldns/ldns-1.7.1.ebuild
@@ -0,0 +1,113 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_5 )
+inherit eutils multilib-minimal python-single-r1
+
+DESCRIPTION="a library with the aim to simplify DNS programming in C"
+HOMEPAGE="http://www.nlnetlabs.nl/projects/ldns/";
+SRC_URI="http://www.nlnetlabs.nl/downloads/${PN}/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="+dane doc +ecdsa ed25519 ed448 gost libressl python static-libs 
vim-syntax"
+
+# configure will die if ecdsa is enabled and ssl is not
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+       python? ( ${PYTHON_DEPS} )
+       ecdsa? (
+               !libressl? ( 
>=dev-libs/openssl-1.0.1e:0=[-bindist,${MULTILIB_USEDEP}] )
+       )
+       ed25519? (
+               !libressl? ( 
>=dev-libs/openssl-1.1.0:0=[-bindist,${MULTILIB_USEDEP}] )
+       )
+       ed448? (
+               !libressl? ( 
>=dev-libs/openssl-1.1.1:0=[-bindist,${MULTILIB_USEDEP}] )
+       )
+       !libressl? ( >=dev-libs/openssl-1.0.1e:0=[${MULTILIB_USEDEP}] )
+       libressl? ( dev-libs/libressl[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+       python? ( dev-lang/swig )
+       doc? ( app-doc/doxygen )
+"
+
+RESTRICT="test" # 1.6.9 has no test directory
+
+MULTILIB_CHOST_TOOLS=(
+       /usr/bin/ldns-config
+)
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+}
+
+multilib_src_configure() {
+       # >=openssl-1.1.0 required for dane-ta
+       if has_version "<dev-libs/openssl-1.1.0"; then
+               local dane_ta_usage="--disable-dane-ta-usage"
+       else
+               local dane_ta_usage=""
+       fi
+
+       ECONF_SOURCE=${S} \
+       econf \
+               $(use_enable static-libs static) \
+               $(use_enable gost) \
+               $(use_enable ecdsa) \
+               $(use_enable ed25519) \
+               $(use_enable ed448) \
+               $(use_enable dane) \
+               $(multilib_native_use_with python pyldns) \
+               $(multilib_native_use_with python pyldnsx) \
+               --with-ssl="${EPREFIX}"/usr \
+               --enable-sha2 \
+               --without-drill \
+               --without-examples \
+               $dane_ta_usage \
+               --disable-rpath
+}
+
+src_prepare() {
+       default
+       #epatch "${FILESDIR}/${P}-CVE-2017-1000231.patch"
+       #epatch "${FILESDIR}/${P}-CVE-2017-1000232.patch"
+       # remove non-existing dependency for target packaging/libldns.pc
+       sed -i 's,packaging/libldns.pc.in,,' "${S}"/Makefile.in || die 'could 
not patch Makefile.in'
+}
+
+multilib_src_compile() {
+       default
+
+       if multilib_is_native_abi && use doc ; then
+               emake doxygen
+       fi
+}
+
+multilib_src_install() {
+       default
+
+       if multilib_is_native_abi && use doc ; then
+               dohtml -r doc/html/.
+       fi
+}
+
+multilib_src_install_all() {
+       dodoc Changelog README*
+
+       prune_libtool_files --modules
+       use python && python_optimize
+
+       if use vim-syntax ; then
+               insinto /usr/share/vim/vimfiles/ftdetect
+               doins libdns.vim
+       fi
+
+       einfo
+       elog "Install net-dns/ldns-utils if you want drill and examples"
+       einfo
+}

diff --git a/net-libs/ldns/metadata.xml b/net-libs/ldns/metadata.xml
index 01302fa6941..0e2252d4c32 100644
--- a/net-libs/ldns/metadata.xml
+++ b/net-libs/ldns/metadata.xml
@@ -14,6 +14,8 @@
   <use>
     <flag name="dane">Enable DNS-based Authentication of Named Entities (DANE) 
support</flag>
     <flag name="ecdsa">Enable ECDSA support</flag>
+    <flag name="ed25519">Enable ED25519 support</flag>
+    <flag name="ed448">Enable ED448 support</flag>
     <flag name="gost">Enable GOST support</flag>
   </use>
 </pkgmetadata>

Reply via email to